////////////////////////////////////////////////////////////////////////////////////////////
//PIMS: Personal Invstment Management System
//Class : About
//This class displays the help information of PIMS.
////////////////////////////////////////////////////////////////////////////////////////////

import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import javax.swing.*;
import java.lang.*;
import java.io.*;
import java.util.*;

public class Help extends JFrame implements ActionListener{

	private TextArea TA;
	private Button ok;

	final String txt = ""+
		"PIMS is intended to be a user friendly solution for the money management needs\n"+
		"of an individual. User can keep an account of his money in bank\n"+
		"as well as in stock market. He can calculate his money in\n"+
		"various portfolios and the rate of investment.\n\n"+
		"ORGANIZATION of user data:\n"+
		"User can create several \"portfolios\" and in each portofolio,\n"+
		"he can create many \"securities\". Idea behind having a portfolio\n"+
		"is to group the securities which are similar in nature:\n"+
		"possibly they may all be short term securities or else they\n"+
		"may all belong to bank. Each security represents the investment\n"+
		"in a particular institution, like in a particular bank or\n"+
		"in a the shares of a particular company.\n\n"+
		"PIMS: Basic functionalities:\n"+
		"The basic functionalities of PIMS are as follows:\n"+
		"1. Creating a new portofolio\n"+
		"2. Renaming an existing portfolio\n"+
		"3. Deleting an existing portfolio\n\n"+
		"4. Creating a new security in a portfolio.\n"+
		"5. Renaming an existing security in a particular portfolio.\n"+
		"6. Deleting a security in a portfolio.\n\n"+
		"7. Adding a transaction to a security.\n"+
		"8. Deleting a transaction from a security.\n"+
		"9.Editing a transaction.\n\n"+
		"10.Viewing net money invested in a security or a portfolio\n"+
		"11.Viewing net worth of the entire Investment.\n"+
		"12.Viewing the rate of investment of a security.\n"+
		"13.Downloading the current share prices.\n\n"+
		"PIMS: Advanced functionalities:\n"+
		"1. Setting alerts.\n"+
		"2. Getting the alerts already set.\n"+
		"3. Changing one's password.\n\n"+
		"PIMS: General information\n"+
		"1. PIMS does NOT perform automatic transactions over the net\n"+
		"and is not meant to do e-commerce.\n"+
		"2. It takes the share prices from the site www.indiainfoline.com\n"+
		"(which displays the NSE prices)\n\n"+
		"BUGS:\n"+
		"Submit bugs at:-\n"+
		"vivekp@cse.iitk.ac.in\n"+
		"ragesh@cse.iitk.ac.in\n"+
		"knarula@cse.iitk.ac.in\n";

	public Help(){
		showHelp();
	}

	private void showHelp(){
		setSize(600, 250);
		setLocation(120,150);
		setBackground(Color.white);
		setTitle("PIMS Help");

		Container CP = getContentPane();
		CP.setLayout(new FlowLayout());
		CP.setBackground(Color.white);

		TA = new TextArea(txt);
		ok = new Button("Ok");
		ok.addActionListener(this);

		CP.add(TA);
		CP.add(ok);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent ae){

	   setVisible(false);
	}
}
